## vorbisdec vorbisdec — decode raw vorbis streams to float audio |

## Synopsis

                        GstVorbisDec;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstVorbisDec

## Description

This element decodes a Vorbis stream to raw float audio. Vorbis is a royalty-free audio codec maintained by the Xiph.org Foundation.

### Example pipelines

    gst-launch -v filesrc location=sine.ogg ! oggdemux ! vorbisdec ! audioconvert ! alsasink

Decode an Ogg/Vorbis. To create an Ogg/Vorbis file refer to the documentation of vorbisenc.

Last reviewed on 2006-03-01 (0.10.4)

## Synopsis

### Element Information

plugin | vorbis
author | Benjamin Otte <in7y118@public.uni-hamburg.de>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-vorbis

name | src
direction | source
presence | always
details | audio/x-raw-float, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 256 ], endianness=(int)1234, width=(int)32

## Synopsis

### Element Information

plugin | vorbis
author | Benjamin Otte <in7y118@public.uni-hamburg.de>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-vorbis

name | src
direction | source
presence | always
details | audio/x-raw-float, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 256 ], endianness=(int)1234, width=(int)32

## Details

### GstVorbisDec

    typedef struct _GstVorbisDec GstVorbisDec;

Opaque data structure.

## See Also

vorbisenc, oggdemux